#!/usr/bin/env python2
# -*- coding: utf-8 -*-
"""
@author: P.Vana & P.Cizek
"""

import sys
import re
import numpy as np

import helper as hlp
import som_solver as som

import matplotlib.pyplot as plt

################################################
# Testing
################################################
# 1) file with cities containing coordinates (idx, x, y) separated by new-line symbol
# 2) radius of the neighborhoods
test = ("./problems/burma14.txt", 0)
#test = ("./problems/burma14.txt", 0.5)
#test = ("./problems/burma14.txt", 1)
#test = ("./problems/att48.txt", 0)
#test = ("./problems/att48.txt", 200)
#test = ("./problems/att48.txt", 500)

visualize = True
#visualize = False

# read config with goal positions
goals = []
with open(test[0]) as fp:
	for line in fp:
		label, x, y = line.split()
		goals.append((float(x), float(y)))

radius = test[1]

######################################
# Tour planning
######################################
solver = som.SOM_solver(goals, radius)
path = solver.run_som(visualize)
solver.show_final_path()
hlp.pause(1)

# active waiting for end
while (visualize):
	hlp.pause(1)

